---
search:
  tags:
    - OrgStructure
    - GET
seo:
  description: >-
    Security: Any user holding a… Reference for the GET
    /v1/warehouses/{warehouseId}/orgstructure/roles/{roleId} endpoint in the
    Bpanda REST API (experimental).
sidebar:
  label: List a single role by ID.
  badge: GET
title: List a single role by ID.
type: openapi-operation
---
List a single role by ID.
      Get an organizational role of this process space.

**Security:** Any user holding a Bpanda licence for the process space.

`GET /v1/warehouses/{warehouseId}/orgstructure/roles/{roleId}`

**Responses**

- `200` — Organizational role
- `404` — Organizational role not found

Response example, 200:

```json
{
  "baseRoleId": "string",
  "description": [
    {
      "format": "BBCode",
      "text": {
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ],
        "value": "string"
      }
    }
  ],
  "external": true,
  "id": "string",
  "roleTypeId": "string",
  "subType": "string",
  "title": {
    "translations": [
      {
        "language": "string",
        "value": "string"
      }
    ],
    "value": "string"
  },
  "unitId": "string",
  "userIds": [
    "string"
  ]
}
```
